Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Mon, 01 Feb 2021 22:21:22 +0000

Justin Schell <[email-masked]> writes:

>> Is this issue still present?  Was it investigated as suggested?
>
> Yes, I just built from the latest `feature/native-comp` commit
> (`a8b8d22`) and the issue is still present.
>
> Re: investigation, I was under the impression from your last comment
> (below) that you needed to do something to "produce a batch
> reproducer". Or did I misunderstand and that's something that I can
> do? If so, is there a guide or instructions as I'm not familiar with
> how to do that.

I think there's no specific guide other than some basic Elisp knowledge
and some experimentation :)

Perhaps something like this is already sufficient to trigger the error?

emacs -batch -eval '(report-emacs-bug "")'

>> > I guess the next step for me would be to produce a batch reproducer and
>> > then run it under gdb with a break point in 'wrong_type_argument' to see
>> > where this is going wrong.  It's also bizarre that the Lisp debugger is
>> > not triggered by `toggle-debug-on-error'.
>
> Justin

  Andrea